org.rexxla.bsf.engines.rexx

## Enum RexxCleanupRef.RefKind

- java.lang.Object
- - java.lang.Enum<RexxCleanupRef.RefKind>
  - - org.rexxla.bsf.engines.rexx.RexxCleanupRef.RefKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RexxCleanupRef.RefKind>
  Enclosing class:
    RexxCleanupRef

      public static enum RexxCleanupRef.RefKind
      extends java.lang.Enum<RexxCleanupRef.RefKind>

  Defines the valid kinds of Rexx related resources to finalize.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REXX_ENGINE`
    `REXX_PROXY`
    `REXX_SCRIPT_ENGINE`
    `TEST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RexxCleanupRef.RefKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RexxCleanupRef.RefKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEST

          public static final RexxCleanupRef.RefKind TEST

    - #### REXX_ENGINE

          public static final RexxCleanupRef.RefKind REXX_ENGINE

    - #### REXX_PROXY

          public static final RexxCleanupRef.RefKind REXX_PROXY

    - #### REXX_SCRIPT_ENGINE

          public static final RexxCleanupRef.RefKind REXX_SCRIPT_ENGINE

  - ### Method Detail

    - #### values

          public static RexxCleanupRef.RefKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RexxCleanupRef.RefKind c : RexxCleanupRef.RefKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RexxCleanupRef.RefKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null